Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### selectOutput()

Examples

    String savePath = selectOutput();  // Opens file chooser
    if (savePath == null) {
      // If a file was not selected
      println("No output file was selected...");
    } else {
      // If a file was selected, print path to folder
      println(savePath);
    }

Description | Open a platform-specific file save dialog to create of select a file for output. This function returns the full path to the selected file as a String, or null if no selection. If you select an existing file, that file will be replaced. Alternatively, you can navigate to a folder and create a new file to write to.

Syntax

    selectOutput()
    selectOutput(prompt)

Parameters

prompt | String: message you want the user to see in the file chooser

Returns | String or null
Usage | Application
Related | selectInput() selectFolder()

Updated on August 30, 2010 04:29:39pm EDT